Prefect 正在参加 2021 年度 OSC 中国开源项目评选,请投票支持!
Prefect 在 2021 年度 OSC 中国开源项目评选 中已获得 {{ projectVoteCount }} 票,请投票支持!
2021 年度 OSC 中国开源项目评选 正在火热进行中,快来投票支持你喜欢的开源项目!
2021 年度 OSC 中国开源项目评选 >>> 中场回顾
Prefect 获得 2021 年度 OSC 中国开源项目评选「最佳人气项目」 !
授权协议 Apache-2.0
开发语言 Python
操作系统 跨平台
软件类型 开源软件
所属分类 程序开发工作流引擎
开源组织
地区 不详
投 递 者 白开水不加糖
适用人群 未知
收录时间 2021-10-13

软件简介

Prefect 是一个新的工作流管理系统,为现代基础设施而设计,由开源的 Prefect Core 工作流引擎驱动。用户将任务组织成流程,而 Prefect 则负责其他工作。Prefect 可编排现代数据堆栈,是构建、运行和监控大规模数据管道的最简单的方法。

使用灵活的 Python 框架轻松将任务组合到工作流中,然后通过 Prefect UI 或 API 部署、安排和监控它们的执行。

让 Prefect 负责调度、基础设施、错误处理、重试、日志、触发器、数据序列化、参数化、动态映射、缓存、并发等。

from prefect import task, Flow, Parameter


@task(log_stdout=True)
def say_hello(name):
    print("Hello, {}!".format(name))


with Flow("My First Flow") as flow:
    name = Parameter('name')
    say_hello(name)


flow.run(name='world') # "Hello, world!"
flow.run(name='Marvin') # "Hello, Marvin!"

特性:

  • 自动化所有事情
  • 本地测试,全球部署:工作流是在本地开发和测试的,然后部署到大规模执行
  • 简单而强大:Prefect Cloud 由 GraphQL、Dask 和 Kubernetes 驱动

 

展开阅读全文

代码

的 Gitee 指数为
超过 的项目

评论

点击引领话题📣
暂无内容
发表了博客
{{o.pubDate | formatDate}}

{{formatAllHtml(o.title)}}

{{parseInt(o.replyCount) | bigNumberTransform}}
{{parseInt(o.viewCount) | bigNumberTransform}}
没有更多内容
暂无内容
发表了问答
{{o.pubDate | formatDate}}

{{formatAllHtml(o.title)}}

{{parseInt(o.replyCount) | bigNumberTransform}}
{{parseInt(o.viewCount) | bigNumberTransform}}
没有更多内容
暂无内容
Async 安全漏洞
原型污染
Async是英国Caolan McMahon个人开发者的一个实用模块。用于使用异步 JavaScript。 Async 3.2.1 及之前版本存在安全漏洞,该漏洞源于 mapValues() 方法。攻击者可通过 mapValues() 方法获取权限。
CVE-2021-43138 MPS-2021-34434
2022-08-08 18:06
trim-newlines 安全漏洞
拒绝服务
trim-newlines是一个修改换行符的npm包。 trim-newlines 存在安全漏洞,该漏洞源于应用于Node.js在3.0.1与4.0.1版本及之前版本中.end()方法存在相关问题。
CVE-2021-33623 MPS-2021-7398
2022-08-08 18:06
markdown-it 存在拒绝服务漏洞
拒绝服务
markdown-it 是一个现代的可插拔 Markdown 解析器。此软件包的受影响版本容易受到正则表达式拒绝服务 (ReDoS) 的攻击。
MPS-2022-13854
2022-08-08 18:06
tar 存在拒绝服务漏洞
拒绝服务
tar 是用于 Node.js 的全功能 Tar。此软件包的受影响版本容易受到正则表达式拒绝服务 (ReDoS) 的攻击。
MPS-2022-14081
2022-08-08 18:06
Sass Node-sass 信任管理问题漏洞
证书验证不恰当
Sass Node-sass是Gogo(Sass)团队的一个基于C++用于支持Node与LibSass进行交互的代码库。 node-sass 2.0.0 to 4.14.1 存在安全漏洞,该漏洞源于证书验证会被禁用。
CVE-2020-24025 MPS-2021-0364
2022-08-08 18:06
node-tar 路径遍历漏洞
路径遍历
node-tar是一款用于文件压缩/解压缩的软件包。 npm node-tar 存在路径遍历漏洞,该漏洞源于4.4.18、5.0.10和6.1.9之前的npm包“tar”(又名node-tar)存在任意文件创建覆盖和任意代码执行漏洞。攻击者可利用该漏洞访问受限目录之外的位置。
CVE-2021-37713 MPS-2021-28489
2022-08-08 18:06
Markdown-It 安全漏洞
拒绝服务
Markdown-It是一个 Markdown 解析器。 Markdown-It存在安全漏洞,该漏洞源于Markdown—它是一个Markdown解析器。在1.3.2版本之前,长度大于5万个字符的特殊模式会显著降低解析器的速度。用户应该升级到12.3.2版本以接收补丁。除了升级之外,没有已知的变通办法。
CVE-2022-21670 MPS-2021-37028
2022-08-08 18:06
nodejs 资源管理错误漏洞
拒绝服务
nodejs是是一个基于ChromeV8引擎的JavaScript运行环境通过对Chromev8引擎进行了封装以及使用事件驱动和非阻塞IO的应用让Javascript开发高性能的后台应用成为了可能。 nodejs-glob-parent 存在安全漏洞,该漏洞源于正则表达式拒绝服务。
CVE-2020-28469 MPS-2021-7827
2022-08-08 18:06
Npm Node-tar 后置链接漏洞
node-tar是一款用于文件压缩/解压缩的软件包。 Npm Node-tar 中存在后置链接漏洞,该漏洞源于产品未对特殊字符做有效验证。攻击者可通过该漏洞在其他路径创建恶意文件。
CVE-2021-37701 MPS-2021-28486
2022-08-08 18:06
Npm Node-tar 后置链接漏洞
node-tar是一款用于文件压缩/解压缩的软件包。 Npm Node-tar 中存在后置链接漏洞,该漏洞源于产品未对特殊字符做有效验证。攻击者可通过该漏洞在其他路径创建恶意文件。
CVE-2021-37712 MPS-2021-28488
2022-08-08 18:06
没有更多内容
加载失败,请刷新页面
点击加载更多
加载中
下一页
0 评论
23 收藏
分享
OSCHINA
登录后可查看更多优质内容
返回顶部
顶部